-   Linux - Newbie (
-   -   Which compat wireless driver need to be installed? (

linux_walker 02-27-2013 12:28 PM

Which compat wireless driver need to be installed?

I am unable to find out the exact driver for the below ethernet driver for ubuntu 12.04 LTS


01:00.0 Ethernet controller: Atheros Communications Inc. AR8162 Fast Ethernet (rev 10)
Please let me know which compat driver needs to be installed, so that i can connect to internet using either wired or wireless(wifi).

goumba 02-28-2013 01:58 PM

Usually this driver module is included with most stock builds, but you need the firmware.

Install linux-firmware-nonfree, and you should be set.

linux_walker 03-01-2013 03:03 PM


I have installed linux firmware from the below link but still no luck.

goumba 03-02-2013 05:51 AM

Damn, I wonder if Ubuntu compiles different modules. My laptop has the same controller. All I had to do was install firmware-linux and it was working. When I get a chance I'll see what other firmware packages I have installed, and get back to you.

Also, on the Ubuntu forums is this, but it looks like hell to go through compared to just installing a firmware package:

All times are GMT -5. The time now is 10:29 PM.